package com.sundot.airport.exam.logic.manage.model.result.sub;

import java.util.Date;

/**
 * <b>功能名：</b>ExamCertRatingResult<br>
 * <b>说明：</b> 证书评级表详情返回参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-24 liangxiao
 */
public class ExamCertRatingResult {

    /**
     * 业务主键
     */
    private String crId;

    /**
     * 得分下限
     */
    private Integer crScoreMin;

    /**
     * 得分上限
     */
    private Integer crScoreMax;

    /**
     * 点评内容
     */
    private String crContent;

    /**
     * 考试管理表业务主键
     */
    private String exId;

    /**
     * 逻辑删除（0否1是）
     */
    private Boolean delStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createUid;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUid;

    @Override
    public String toString() {
        return "ExamCertRatingResult{" +
                "crId='" + crId + '\'' +
                ", crScoreMin=" + crScoreMin +
                ", crScoreMax=" + crScoreMax +
                ", crContent='" + crContent + '\'' +
                ", exId='" + exId + '\'' +
                ", delStatus=" + delStatus +
                ", createTime=" + createTime +
                ", createUid='" + createUid + '\'' +
                ", updateTime=" + updateTime +
                ", updateUid='" + updateUid + '\'' +
                '}';
    }

    public String getCrId() {
        return crId;
    }

    public void setCrId(String crId) {
        this.crId = crId;
    }

    public Integer getCrScoreMin() {
        return crScoreMin;
    }

    public void setCrScoreMin(Integer crScoreMin) {
        this.crScoreMin = crScoreMin;
    }

    public Integer getCrScoreMax() {
        return crScoreMax;
    }

    public void setCrScoreMax(Integer crScoreMax) {
        this.crScoreMax = crScoreMax;
    }

    public String getCrContent() {
        return crContent;
    }

    public void setCrContent(String crContent) {
        this.crContent = crContent;
    }

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }

    public Boolean getDelStatus() {
        return delStatus;
    }

    public void setDelStatus(Boolean delStatus) {
        this.delStatus = delStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }
}
